Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01730 Graphics Minor Always Apr 19, 2008, 19:36 May 28, 2008, 09:04
Tester haynor666 View Status Public Platform MAME (Self-compiled)
Assigned To Resolution No change required OS Windows XP/Vista 32-bit
Status [?] Closed Driver astrocde.cpp
Version 0.124u3 Fixed in Version 0.125u3 Build C2D
Fixed in Git Commit Github Pull Request #
Summary 01730: seawolf2: Screen is stretched, incorrect resolution
Description Just look at 2 screens, current version and much older (before 115u2). Bigger pictures are from current version, stretched to new resolution, as you can see this cause to loose proportion in game fonts, game over font, this could be even noticed on sea mines as well. If you look also on score you notice that 00 is not simetrical (but should be)
Steps To Reproduce Nothing, just watch but only in window without any filters or options like enforce aspect ratio or stretching.
Additional Information
Github Commit
Flags
Regression Version
Affected Sets / Systems seawolf2
Attached Files
png file icon seawolf2-old.png (913 bytes) Apr 19, 2008, 19:36
png file icon seawolf2-new2.png (1,914 bytes) Apr 19, 2008, 19:37
png file icon seawolf2.png (1,816 bytes) Apr 19, 2008, 19:38
png file icon seawolf2-old2.png (944 bytes) Apr 19, 2008, 19:39
png file icon seawolf-mame.png (6,958 bytes) May 28, 2008, 09:04
Relationships
There are no relationship linked to this issue.
Notes
11
User avatar
No.00725
Fujix
Administrator
Apr 19, 2008, 20:41
Describe the report more specifically and don't abuse the possible flag.
If you are unsure of the report, mention it in the note.

No more indistinct report.
User avatar
No.00726
haynor666
Tester
Apr 19, 2008, 20:47
Picture is current version is stretched to new resolution, as you can see this cause to loose proportion in game fonts, game over font, this could be even noticed on sea mines as well. If you look also on score you notice that 00 is not simetrical (but should be). I',m sorry for maybe poor description but i'm not too good in english. Sometimes is hard to me describe specific bug.
User avatar
No.00727
Fujix
Administrator
Apr 19, 2008, 21:08
You describe the bug well. You can edit your own reports, try improving your report above.
If you know when the problem happened, write the version number in the Regression Version field.
User avatar
No.00728
haynor666
Tester
Apr 19, 2008, 21:13
Btw. I try to remove seawolf2-new.png . Could you remove it? This picture is not needed.
User avatar
No.00729
Fujix
Administrator
Apr 19, 2008, 21:30
I removed it.
Mantis should allow removing own attachment but it doesn't work because of a bug. I'll fix it later.
User avatar
No.00730
haynor666
Tester
Apr 19, 2008, 21:40
Thanks, now it's easier to compare screens.
User avatar
No.01102
couriersud
Developer
May 26, 2008, 19:24
This not a bug. The old screenshots reflect the 22:15 pixel aspect ratio whereas the new ones the default 4:3 aspect ratio. This may be changed in the video options menu.

Propose to close this report.
User avatar
No.01103
robiza
Developer
May 26, 2008, 20:22
it's not a bug
User avatar
No.01109
haynor666
Tester
May 27, 2008, 18:39
It would be nice if mame runs with 4:3 instead of 22:15 by default. The same goes for most of games from this driver.
User avatar
No.01111
Fujix
Administrator
May 27, 2008, 22:50
Hey haynor, what kind of MAME do you use for testing?
It's 4:3 by default here.
User avatar
No.01112
haynor666
Tester
May 28, 2008, 09:02
Official mame 0.125u2 (self compiled but no change in source).